OpenVDB 3.2.0

Classes | Namespaces | Functions
VectorTransformer.h File Reference
`#include <openvdb/Types.h>`
`#include <openvdb/math/Mat4.h>`
`#include <openvdb/math/Vec3.h>`
`#include "ValueTransformer.h"`
`#include <boost/utility/enable_if.hpp>`

Go to the source code of this file.

## Classes
struct | HomogeneousMatMul
struct | MatMul
struct | MatMulNormalize

## Namespaces
| openvdb
| openvdb::v3_2_0
| openvdb::v3_2_0::tools

## Functions
template<typename GridType >
void | transformVectors (GridType &, const Mat4d &)
| Apply an affine transform to the voxel values of a vector-valued grid in accordance with the grid's vector type (covariant, contravariant, etc.). More...
template<typename GridType >
boost::disable_if_c< VecTraits< typename GridType::ValueType >::IsVec, void >::type | doTransformVectors (GridType &, const Mat4d &)
template<typename GridType >
boost::enable_if_c< VecTraits< typename GridType::ValueType >::IsVec, void >::type | doTransformVectors (GridType &grid, const Mat4d &mat)